'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.Dice = void 0;
class Dice {
  constructor(sides = 20) {
    if (this.isValidSides(sides)) {
      this.sides = sides;
    } else {
      this.sides = 20;
    }
    this.roll();
  }
  isValidSides(sides) {
    return this.sides > 0 && this.sides <= 20;
  }
  roll() {
    this.value = Math.floor(Math.random() * this.sides) + 1;
    return this.value;
  }
  rollMultiple(times = 2) {
    if (times < 1 || times > 100) {
      throw new Error('Invalid number of rolls, must be between 1 and 100');
    }
    const rolls = [];
    for (let i = 0; i < times; i++) {
      rolls.push(this.roll());
    }
    this.value = rolls[rolls.length - 1] || this.value;
    return rolls;
  }
  toString() {
    return `${this.value}d${this.sides}`;
  }
  toJSON() {
    return {
      value: this.value,
      sides: this.sides,
    };
  }
}
exports.Dice = Dice;
